### Hierarchy

- IconCache
  - IconMemoryCache

## Index

### Properties

- iconMap

### Methods

- get
- set

## Properties

### Private iconMap

iconMap: Map<string, Map<string, object>> = new Map<string, Map<string, object>>()

- Defined in src/icon/icon.service.ts:121

## Methods

### get

- get(name: string, size: string): object

- Overrides IconCache.get

  - Defined in src/icon/icon.service.ts:123

  #### Parameters

  - ##### name: string

  - ##### size: string

  #### Returns object

### set

- set(name: string, size: string, descriptor: object): void

- Overrides IconCache.set

  - Defined in src/icon/icon.service.ts:134

  #### Parameters

  - ##### name: string

  - ##### size: string

  - ##### descriptor: object

  #### Returns void

Generated using TypeDoc